Subject: Re: [PATCH 2/2] sort_in_topological_order(): avoid setting a commit flag

From: Jon Loeliger <[email-masked]>
Date: Wed, 23 Jul 2008 10:39:55 -0500

Junio C Hamano wrote:
> 
> Do people still actively use show-branch as a G/CUI, especially after that
> "log --graph" thing was introduced?

At the risk of sounding Old School, yes.

While the "log --graph" thing is Really Slick, it has
grumbly-factors, IMO.  First, I have to set up an alias
all the time, as "git log --graph --pretty=oneline" is
grumpy typing.  Second, I always have to widen my screen
to accommodate reasonable looking output or colrm it.
(Having it self-colrm to window-width would be nice.)
(Sure, --abbrev-commit too, but see "First," above. :-))
Finally, I frequently like seeing a self-limited history
when all the branches reach their common ancestor.

HTH,
jdl